Subject: Re: bug#58506: Use ".dir-locals.eld" and ".dir-locals-2.eld" when they exist

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 15 Oct 2022 11:42:23 +0200

Philip Kaludercic <[email-masked]> writes:

> My only objection to "something like" this is that it appears to be Lisp
> code, and people could get surprised when they try to add something that
> isn't (eg. a regular `add-to-list' call that had a quote -- beginners
> often get tripped up on these minor syntactic points).

Then I guess `add-to-list' wouldn't be a good "directive" here.

>> And we'd make the parser backwards/forwards compatible -- i.e., elements
>> that are unknown to the Emacs version running would just be ignored.
>
> Ideally there would be a warning or some way you could find out that
> variables aren't loaded, e.g. if you have a typo in
> `blink-parenthesis-mode' vs. `blink-parentheses-mode'.

Well, that would make things less backwards/forwards compatible --
people would be getting warnings when flipping between different Emacs
versions.